Bug 225618 - [Maintainer update] security/softether
Summary: [Maintainer update] security/softether
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-01 23:17 UTC by net
Modified: 2018-02-03 06:57 UTC (History)
1 user (show)

See Also:
pi: merge-quarterly+


Attachments
svn diff of security/softether (2.96 KB, patch)
2018-02-01 23:17 UTC, net
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description net 2018-02-01 23:17:25 UTC
Created attachment 190258 [details]
svn diff of security/softether

The attached patch updates security/softether to the latest available version, that fixes some security problems and memory leaks.
Comment 1 Kurt Jaeger freebsd_committer 2018-02-02 17:51:15 UTC
testbuilds@work
Comment 2 commit-hook freebsd_committer 2018-02-02 18:02:22 UTC
A commit references this bug:

Author: pi
Date: Fri Feb  2 18:01:37 UTC 2018
New revision: 460718
URL: https://svnweb.freebsd.org/changeset/ports/460718

Log:
  security/softether: update 4.20.9608 -> 4.25.9656

  - There are 11 vulnerabilities on SoftEther VPN. There vulnerabilities
    are found by the source code audit process conducted by Max Planck
    Institute for Molecular Genetics and Mr. Guido Vranken in late 2017.
    This build fixes all of these vulnerabilities.

  PR:		225618
  Submitted by:	net@arrishq.net (maintainer)
  MFH:		2018Q1
  Relnotes:	http://www.softether.org/5-download/history

Changes:
  head/security/softether/Makefile
  head/security/softether/distinfo
  head/security/softether/files/patch-src__Mayaqua__Network.c
  head/security/softether/files/patch-src__Mayaqua__Table.h
Comment 3 commit-hook freebsd_committer 2018-02-03 06:57:06 UTC
A commit references this bug:

Author: pi
Date: Sat Feb  3 06:56:48 UTC 2018
New revision: 460792
URL: https://svnweb.freebsd.org/changeset/ports/460792

Log:
  MFH: r460718

  security/softether: update 4.20.9608 -> 4.25.9656

  - There are 11 vulnerabilities on SoftEther VPN. There vulnerabilities
    are found by the source code audit process conducted by Max Planck
    Institute for Molecular Genetics and Mr. Guido Vranken in late 2017.
    This build fixes all of these vulnerabilities.

  PR:		225618
  Submitted by:	net@arrishq.net (maintainer)
  Relnotes:	http://www.softether.org/5-download/history
  Approved by:	portmgr (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/security/softether/Makefile
  branches/2018Q1/security/softether/distinfo
  branches/2018Q1/security/softether/files/patch-src__Mayaqua__Network.c
  branches/2018Q1/security/softether/files/patch-src__Mayaqua__Table.h